Project

General

Profile

Segnalazione #132

Aggiornamento metapacchetti per Debian

Added by Christopher R. Gabriel almost 6 years ago. Updated almost 6 years ago.

Status:
Chiuso
Priority:
Normale
Start date:
01/10/2017
Due date:
% Done:

0%


Description

Dopo aver portato i pacchetti su debian, ho questi problemi con le dipendenze, pacchetti che mancano:

fuss-children: memaker, pencil

fuss-education: drgeo

fuss-extra-multimedia: non-free-codecs, libxine1-ffmpeg, faac, mencoder, libmpeg3-1, libxine1-all-plugins, libxine1-bin, gstreamer0.10-fluendo-plugins-mp3-partner, gstreamer0.10-plugins-bad-multiverse-dbg, gstreamer0.10-sdl, gstreamer-dbus-media-service, gstreamer0.10-packagekit

fuss-graphics: gimp-help-it

fuss-kids: kdeedu-data, python-simpy-doc, sagcad                                

fuss-multimedia: faac, libflac++6v5:i386, libflac++6v5, mencoder, libfaac0

fuss-net: gftp, gftp-common, gftp-gtk, gftp-text

fuss-various:  flashplugin-nonfree-extrasound, openjdk-9-jre, virtualbox-guest-additions-iso, mbrola, mbrola-de6, mbrola-de7, mbrola-en1, mbrola-it3, mbrola-it4

Puoi aggiornare tu la pagina https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8 con le sostituzioni da fare? Che non conosco la rilevanza dei pacchetti indicati per le esigenze didattiche specifiche, per capire cosa si puo' banalmente togliere o cosa deve avere un sostituto (che magari il pacchetto banalmente ha un nome diverso in Debian rispetto ad Ubuntu, tipo chromium vs chromium-browser)

Associated revisions

History

#1 Updated by Piergiorgio Cemin almost 6 years ago

  • Assignee changed from Piergiorgio Cemin to Massimo Previdi

Massimo ha installato una Debian 8.6.0 i386-XFCe nel FUSS-Box e adesoo passo a lui

#2 Updated by Massimo Previdi almost 6 years ago

  • Assignee changed from Massimo Previdi to Christopher R. Gabriel

Questo quello che ho trovato in rete e che bisogna provare e/o decidere:

- fuss-children:
memaker: per debian non c'e' vedi http://memaker.org/# quindi possiamo toglierlo.
pencil: vedi http://pencil.evolus.vn/Downloads.html provare ad installare il seguente pacchetto
https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/evoluspencil evoluspencil_2.0.5_all.deb

- fuss-education:
drgeo: vedi http://www.drgeo.eu/download
provare ad installare a parte il pacchetto
https://launchpad.net/drgeo/trunk/16.10/+download/DrGeo.app-16.10a.zip
Attenzione:
Linux Dr. Geo is compiled for 32 bits host. To run it on your Linux 64 bits host, you need to install 32 bits compatibility package. This package will let you run any 32 bits compiled software on a 64 bits host. Depending on the distribution, the package to install may have different name.
Debian < Jessie, Ubuntu, LinuxMint <= 12.04 LTS
sudo apt-get install ia32-libs-multiarch
Vale la pena o meglio lasciar perdere?

Per quanto riguarda i codecs di fuss-extra-multimedia
non saprei come procedere, visto che alcuni sono non-free!
Avete qualche idea?
fuss-extra-multimedia: non-free-codecs, libxine1-ffmpeg, faac, mencoder, libmpeg3-1,
libxine1-all-plugins, libxine1-bin, gstreamer0.10-fluendo-plugins-mp3-partner,
gstreamer0.10-plugins-bad-multiverse-dbg, gstreamer0.10-sdl,
gstreamer-dbus-media-service, gstreamer0.10-packagekit

fuss-graphics: gimp-help-it
Aggiungere il repository deb http://ftp.de.debian.org/debian jessie main
in /etc/apt/sources.list
ed installare gimp.

fuss-kids: kdeedu-data, python-simpy-doc, sagcad
Possiamo toglierli?

fuss-multimedia: faac, libflac++6v5:i386, libflac++6v5, mencoder, libfaac0
Stessa situazione di fuss-extra-multimedia
non saprei come procedere, cosa consigliate di fare?

fuss-net: gftp, gftp-common, gftp-gtk, gftp-text
Propongo di tralasciare gftp ed installare filezilla
dopo aver aggiunto il repository deb http://ftp.de.debian.org/debian jessie main
in /etc/apt/sources.list

fuss-various: flashplugin-nonfree-extrasound, openjdk-9-jre,
virtualbox-guest-additions-iso, mbrola, mbrola-de6, mbrola-de7, mbrola-en1,
mbrola-it3, mbrola-it4
Stessa situazione di fuss-extra-multimedia
Cosa consigliate di fare?

ciao
Massimo

#3 Updated by Christopher R. Gabriel almost 6 years ago

  • Status changed from Nuovo to Commenti
  • Assignee changed from Christopher R. Gabriel to Massimo Previdi

Massimo Previdi ha scritto:

Questo quello che ho trovato in rete e che bisogna provare e/o decidere:

- fuss-children:
memaker: per debian non c'e' vedi http://memaker.org/# quindi possiamo toglierlo.
pencil: vedi http://pencil.evolus.vn/Downloads.html provare ad installare il seguente pacchetto
https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/evoluspencil evoluspencil_2.0.5_all.deb

Ok, ma puoi aggiornare l'elenco ufficiale nella pagina wiki linkata nella descrizione del ticket?

- fuss-education:
drgeo: vedi http://www.drgeo.eu/download
provare ad installare a parte il pacchetto
https://launchpad.net/drgeo/trunk/16.10/+download/DrGeo.app-16.10a.zip
Attenzione:
Linux Dr. Geo is compiled for 32 bits host. To run it on your Linux 64 bits host, you need to install 32 bits compatibility package. This package will let you run any 32 bits compiled software on a 64 bits host. Depending on the distribution, the package to install may have different name.
Debian < Jessie, Ubuntu, LinuxMint <= 12.04 LTS
sudo apt-get install ia32-libs-multiarch
Vale la pena o meglio lasciar perdere?

Questo me lo dovete dire voi, non so se e quanto questo pacchetto venga utilizzato per attivita' didattica.

Per quanto riguarda i codecs di fuss-extra-multimedia
non saprei come procedere, visto che alcuni sono non-free!
Avete qualche idea?
fuss-extra-multimedia: non-free-codecs, libxine1-ffmpeg, faac, mencoder, libmpeg3-1,
libxine1-all-plugins, libxine1-bin, gstreamer0.10-fluendo-plugins-mp3-partner,
gstreamer0.10-plugins-bad-multiverse-dbg, gstreamer0.10-sdl,
gstreamer-dbus-media-service, gstreamer0.10-packagekit

Toglierei i non-free sicuramente, quelli che restano se servono o meno me lo dovete dire voi, come sopra.

fuss-graphics: gimp-help-it
Aggiungere il repository deb http://ftp.de.debian.org/debian jessie main
in /etc/apt/sources.list
ed installare gimp.

Gimp e' gia' in elenco, e quello e' il repository standard di debian.. quindi basta gimp allora, togliendo gimp-help-it?

fuss-kids: kdeedu-data, python-simpy-doc, sagcad
Possiamo toglierli?

Servono?

fuss-multimedia: faac, libflac++6v5:i386, libflac++6v5, mencoder, libfaac0
Stessa situazione di fuss-extra-multimedia
non saprei come procedere, cosa consigliate di fare?

Come sopra.

fuss-net: gftp, gftp-common, gftp-gtk, gftp-text
Propongo di tralasciare gftp ed installare filezilla
dopo aver aggiunto il repository deb http://ftp.de.debian.org/debian jessie main
in /etc/apt/sources.list

ok, puoi aggiornare la lista?

fuss-various: flashplugin-nonfree-extrasound, openjdk-9-jre,
virtualbox-guest-additions-iso, mbrola, mbrola-de6, mbrola-de7, mbrola-en1,
mbrola-it3, mbrola-it4
Stessa situazione di fuss-extra-multimedia
Cosa consigliate di fare?

Rispondo allo stesso modo: sicuramente toglierei la roba non free, ma gli altri, vi servono? Nel senso.. erano contenuti nelle liste di pacchetti da mettere che ci avete consegnato, quindi se servono o meno me lo dovete dire voi :)

Grazie, ciao

Christopher

#4 Updated by Elena Grandi almost 6 years ago

Sto aggiornando i metapacchetti e su https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8 ho notato un po' di discrepanze tra le tabelle e gli elenchi di pacchetti

fuss-children

Nella tabella manca tuxtype, presente nella kista e in debian (l'ho messo)

fuss-kids

Nella lista mancano kbruch e *maxima, presenti nella tabella e in debian (li ho messi)
Nella lista manca anche eagle, presente in tabella, che invece è non-free (non l'ho messo)

fuss-education

Nella lista manca gnome-icon-theme presente in tabella, che sospetto venga installato automaticamente come dipendenza, ma comunque nel dubbio ho messo.

Nella tabella (ma non nella lista) è presente drgeo che non è più in debian (non l'ho messo)

Nel vecchio pacchetto era presente anche jclic che non è presente né in tabella né in lista, ma è ancora in debian: è stato scelto di toglierlo o è stato dimenticato?

Comincio a segnalare questi, poi proseguo col resto

#5 Updated by Elena Grandi almost 6 years ago

fuss-multimedia

La lista comprende kover e curl, non presenti sulla tabella, ma presenti in debian, li ho messi

Lista e tabella comprendono anche mplayer che non è presente in debian stable: alternative sono:

  • Passare a mplayer2 e/o mpv (le due alternative generalmente consigliate sui canali debian)
  • Provare a backportare noi mplayer a stable (non è detto che funzioni)

#6 Updated by Elena Grandi almost 6 years ago

fuss-graphics

la tabella comprende gthumb che non è in lista, è in debian, messo

fuss-office

La lista comprende gobby non presente in tabella, messo

Ho aggiunto anche il pacchetto libreoffice, che non sono sicura arrivi interamente come dipendenza dei pacchetti di localizzazione ed help presenti sulla lista e aggiunto localizzazione ed help in spagnolo, anche quella mancante dalla lista.

#7 Updated by Elena Grandi almost 6 years ago

fuss-language-support

Noto che non di tutti i pacchetti ci sono tutte le lingue (it-en-de-fr-es)

ad esempio, mancava firefox-esr-l10n-it

Cosa faccio? allineo mettendo tutte le combinazioni pacchetto / lingua (purché siano presenti in stable)?

#8 Updated by Elena Grandi almost 6 years ago

Riguardo alla questione libdvdcss, noto che la soluzione "moderna" di debian è presente anche in jessie-backports (mi aspettavo fosse solo in stretch) ed è https://packages.debian.org/sid/libdvd-pkg

non contiene però direttamente la libreria, ma solo degli script che permettono in modo quasiautomatico di effettuarne download/compilazione/installazione.

Potrebbe andare bene anche quello?

#9 Updated by Elena Grandi almost 6 years ago

fuss-extra-multimedia

Nella lista sono presenti i seguenti pacchetti che provengono da non-free:

  • aac-enc
  • faac

e xvid4conf che non è presente del tutto in debian: tolti

#10 Updated by Paolo Dongilli almost 6 years ago

Elena Grandi ha scritto:

Sto aggiornando i metapacchetti e su https://work.fuss.bz.it/projects/fuss/wiki/SoftwareFuss8 ho notato un po' di discrepanze tra le tabelle e gli elenchi di pacchetti

fuss-children

Nella tabella manca tuxtype, presente nella kista e in debian (l'ho messo)

fuss-kids

Nella lista mancano kbruch e *maxima, presenti nella tabella e in debian (li ho messi)
Nella lista manca anche eagle, presente in tabella, che invece è non-free (non l'ho messo)

fuss-education

Nella lista manca gnome-icon-theme presente in tabella, che sospetto venga installato automaticamente come dipendenza, ma comunque nel dubbio ho messo.

Nella tabella (ma non nella lista) è presente drgeo che non è più in debian (non l'ho messo)

Nel vecchio pacchetto era presente anche jclic che non è presente né in tabella né in lista, ma è ancora in debian: è stato scelto di toglierlo o è stato dimenticato?

Comincio a segnalare questi, poi proseguo col resto

Fatti aggiornamenti nel wiki per questa prima tranche di segnalazioni.

#11 Updated by Elena Grandi almost 6 years ago

fuss-various

Presente in tabella, ma non in debian: usb-creator-gtk (mi pare sia una cosa solo ubuntu) e mbrola* (non-free, tra l'altro vedo che è già nella sezione non-free)

Presenti nella lista, ma non nella tabella: vde2 (messo) e gnome-panel (messo, ma serve ancora anche se si usa xfce?

Presenti nella lista, non nella tabella, sospetto che arrivino come dipendenza di qualcosa: python-notify python-renderpm-dbg python-egenix-mxtexttools python-reportlab-doc cifs-utils heimdal-clients: vanno davvero messi? (mi lasciano perplessa soprattutto -doc e -dbg di pacchetti non esplicitamente richiesti). Comunque messi.

Per libpdf* che pacchetti si vogliono esattamente? Essendo librerie non dovrebbero già venire installate come dipendenza di ciò che le usa?

#12 Updated by Elena Grandi almost 6 years ago

Tra i metapacchetti pacchetti vecchi, vedo fuss-desktop, fuss-lasp e fuss-net che non sono presenti sulla pagina: sono da eliminare?

Inoltre, fuss-xfce è nuovo: va creato nuovo oppure sono cose da aggiungere a fuss-desktop?

#13 Updated by Christopher R. Gabriel almost 6 years ago

  • Status changed from Commenti to In elaborazione
  • Assignee changed from Massimo Previdi to Elena Grandi

fuss-lasp va tenuto, non e' software prettamente didattico, ha gia' quello che gli serve ed e' in attesa di test.

fuss-xfce e' in realta' fuss-desktop, usiamo il nome fuss-desktop per mantenere continuita' con il passato.

fuss-net era nell'elenco sul wiki prima, se non c'e' piu', direi che e' da togliere.

#14 Updated by Elena Grandi almost 6 years ago

Ehm, chiedo scusa, fuss-net c'era e come, me l'ero perso (sistemato, nessun commento).

fuss-desktop

Noto che il pacchetto precedente contiene: task-xfce-desktop python-gmenu python-appindicator lightdm-gtk-greeter tutti presenti in debian e fuss-artwork fuss-desktop-control, sono da togliere? (in particolare mi lascia perplessa togliere task-xfce-desktop e i due fuss-)

#15 Updated by Christopher R. Gabriel almost 6 years ago

No, sono tutti da lasciare. Sono pacchetti "nostri" per costruire il desktop, non riguardano gli applicativi poi necessari agli utenti. Fuss-artwork contiene l'artwork (per l'appunto) mentre desktop-control contiene un demo per l'integrazione con octofussd, sempre nostro.

#16 Updated by Elena Grandi almost 6 years ago

  • Assignee changed from Elena Grandi to Paolo Dongilli

ottimo, allora i pacchetti sono stati allineati alla wiki, a meno di quanto segnalato nei commenti qui sopra.

Riassegno il ticket per i suddetti commenti sulle discrepanze rimaste liste-tabelle

#17 Updated by Paolo Dongilli almost 6 years ago

Elena Grandi ha scritto:

fuss-multimedia

La lista comprende kover e curl, non presenti sulla tabella, ma presenti in debian, li ho messi

Ok, aggiornata tabella.

Lista e tabella comprendono anche mplayer che non è presente in debian stable: alternative sono:

  • Passare a mplayer2 e/o mpv (le due alternative generalmente consigliate sui canali debian)
  • Provare a backportare noi mplayer a stable (non è detto che funzioni)

OK mplayer2 e mpv

#18 Updated by Paolo Dongilli almost 6 years ago

  • Assignee changed from Paolo Dongilli to Elena Grandi

Elena Grandi ha scritto:

fuss-various

Presente in tabella, ma non in debian: usb-creator-gtk (mi pare sia una cosa solo ubuntu) e mbrola* (non-free, tra l'altro vedo che è già nella sezione non-free)

Ho sostituito usb-creator-gtk con python3-multibootusb nel wiki. Aggiungilo per favore in fuss-various
Ho tolto mbrola dalla tabella fuss-various.

Presenti nella lista, ma non nella tabella: vde2 (messo) e gnome-panel (messo, ma serve ancora anche se si usa xfce?

Togliamo sia gnome-panel che vde2 (dipendenza di virtualbox, qemu-system-*)

Presenti nella lista, non nella tabella, sospetto che arrivino come dipendenza di qualcosa: python-notify python-renderpm-dbg python-egenix-mxtexttools python-reportlab-doc cifs-utils heimdal-clients: vanno davvero messi? (mi lasciano perplessa soprattutto -doc e -dbg di pacchetti non esplicitamente richiesti). Comunque messi.

Tolti! Toglili pure anche tu.

Per libpdf* che pacchetti si vogliono esattamente? Essendo librerie non dovrebbero già venire installate come dipendenza di ciò che le usa?

Pulizia. Tolti pure questi dal wiki.

#19 Updated by Paolo Dongilli almost 6 years ago

Aggiunti in fuss-various i pacchetti lshw ed lshw-gtk.

#20 Updated by Paolo Dongilli almost 6 years ago

Paolo Dongilli ha scritto:

Aggiunti in fuss-various i pacchetti lshw ed lshw-gtk.

Aggiunto inoltre il pacchetto gcalctool in fuss-various
Grazie a Massimo Previdi per la segnalazione!

#21 Updated by Elena Grandi almost 6 years ago

  • Assignee changed from Elena Grandi to Paolo Dongilli

Fatto quasi tutto.

Per gcalctool ho visto che è un pacchetto di transizione verso gnome-calculator, per cui ho messo già la nuova versione.

python3-multibootusb invece non lo trovo nei repository debian da nessuna parte (e anche cercare multibootusb nei suddetti non mi ha dato risultati).

#22 Updated by Paolo Dongilli almost 6 years ago

  • Assignee changed from Paolo Dongilli to Elena Grandi

Aggiunti anche i pacchetti

epoptes epoptes-client (fuss-various)
kicad kicad kicad-doc-en kicad-doc-fr kicad-doc-it (fuss-kids)

Tolto il pacchetto jclick (fuss-education) in quanto Massimo Previdi ha riportato che non si riesce a chiudere l'applicativo con facilità.

PS: non mi convince il nome del metapacchetto fuss-kids considerato che il software è per le scuole secondarie di 2° grado (superiori).

#23 Updated by Elena Grandi almost 6 years ago

  • Assignee changed from Elena Grandi to Paolo Dongilli

Applicate anche le ultime aggiunte/rimozioni.

(effettivamente... — fuss-kids)

#24 Updated by Paolo Dongilli almost 6 years ago

  • Assignee changed from Paolo Dongilli to Elena Grandi

Aggiunto pacchetto marble (fuss-education).

#25 Updated by Paolo Dongilli almost 6 years ago

  • Assignee changed from Elena Grandi to Christopher R. Gabriel

#26 Updated by Christopher R. Gabriel almost 6 years ago

  • Status changed from In elaborazione to Commenti
  • Assignee changed from Christopher R. Gabriel to Paolo Dongilli

aggiunto, pubblicata sul repository la versione 8.0.15 della suite di metapacchetti.

#27 Updated by Paolo Dongilli almost 6 years ago

  • Status changed from Commenti to Chiuso

Also available in: Atom PDF